Własny serwer supla - od czego zacząć

jureg2
Posty: 13
Rejestracja: pt paź 11, 2019 8:11 pm

pt sty 15, 2021 7:43 pm

I dalej nic

pi@raspberrypi:~ $ sudo apt update
Get:1 file:/var/cache/openmediavault/archives InRelease
Ign:1 file:/var/cache/openmediavault/archives InRelease
Get:2 file:/var/cache/openmediavault/archives Release
Ign:2 file:/var/cache/openmediavault/archives Release
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Ign:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Get:3 file:/var/cache/openmediavault/archives Packages
Get:4 file:/var/cache/openmediavault/archives Translation-en
Ign:4 file:/var/cache/openmediavault/archives Translation-en
Hit:5 http://security.debian.org/debian-security buster/updates InRelease
Hit:6 http://httpredir.debian.org/debian buster-backports InRelease
Hit:7 http://packages.openmediavault.org/public usul InRelease
Hit:8 http://raspbian.raspberrypi.org/raspbian buster InRelease
Hit:9 https://download.docker.com/linux/raspbian buster InRelease
Hit:10 https://download.docker.com/linux/debian buster InRelease
Ign:11 https://dl.bintray.com/openmediavault-p ... opers/usul buster InRelease
Hit:12 https://openmediavault.github.io/packages usul InRelease
Get:13 https://dl.bintray.com/openmediavault-p ... opers/usul buster Release [4363 B]
Hit:14 http://archive.raspberrypi.org/debian buster InRelease
Fetched 4363 B in 4s (1074 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
37 packages can be upgraded. Run 'apt list --upgradable' to see them.
pi@raspberrypi:~ $ sudo apt install -y python3-pip
Reading package lists... Done
Building dependency tree
Reading state information... Done
python3-pip is already the newest version (18.1-5+rpt1).
0 upgraded, 0 newly installed, 0 to remove and 37 not upgraded.
pi@raspberrypi:~ $ sudo pip3 install docker-compose
Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
Collecting docker-compose
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Collecting docker[ssh]<5,>=4.3.1 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: requests<3,>=2.20.0 in /usr/lib/python3/dist-packages (from docker-compose) (2.21.0)
Collecting websocket-client<1,>=0.32.0 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Collecting texttable<2,>=0.9.0 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Collecting dockerpty<1,>=0.4.1 (from docker-compose)
Using cached https://www.piwheels.org/simple/dockerp ... ne-any.whl
Requirement already satisfied: cached-property<2,>=1.2.0 in /usr/lib/python3/dist-packages (from docker-compose) (1.5.1)
Collecting docopt<1,>=0.6.1 (from docker-compose)
Using cached https://www.piwheels.org/simple/docopt/ ... ne-any.whl
Collecting distro<2,>=1.5.0 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: PyYAML<6,>=3.10 in /usr/lib/python3/dist-packages (from docker-compose) (3.13)
Collecting jsonschema<4,>=2.5.1 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Collecting python-dotenv<1,>=0.13.0 (from docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: six>=1.4.0 in /usr/lib/python3/dist-packages (from docker[ssh]<5,>=4.3.1->docker-compose) (1.12.0)
Collecting paramiko>=2.4.2; extra == "ssh" (from docker[ssh]<5,>=4.3.1->docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Collecting pyrsistent>=0.14.0 (from jsonschema<4,>=2.5.1->docker-compose)
Using cached https://files.pythonhosted.org/packages ... 7.3.tar.gz
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'setuptools'

----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-2hrkai_c/pyrsistent/
pi@raspberrypi:~ $
Awatar użytkownika
lesny8
Posty: 1540
Rejestracja: pn gru 11, 2017 9:43 pm

pt sty 15, 2021 8:15 pm

Kod: Zaznacz cały

sudo apt install python3-setuptools
sudo pip3 install docker-compose
jureg2
Posty: 13
Rejestracja: pt paź 11, 2019 8:11 pm

pt sty 15, 2021 9:26 pm

Poszło, serdeczne dzięki
ODPOWIEDZ

Wróć do „Ogólna dyskusja”